# This file is part of SSHare.
#
# SSHare is free software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# SSHare is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# SSHare. If not, see <https://www.gnu.org/licenses/>.

from sshare.plugin.source import File
from sshare.plugin.source import Raw

plugin_type = "name"

def get_name(name, source):
    if name != "":
        name = name + "_"
    else:
        name = ""
    if isinstance(source, File):
        components = source.path.name.split(".")
        if components[0] == "":
            return name + "." + components[1]
        else:
            return name + components[0]
    else:
        return name + source.name
